import request from '@/utils/request'

// 查询cmc技术交底列表
export function listTechnical(query) {
  return request({
    url: '/oa/technical/list',
    method: 'get',
    params: query
  })
}

// 查询cmc技术交底详细
export function getTechnical(technicalId) {
  return request({
    url: '/oa/technical/' + technicalId,
    method: 'get'
  })
}

// 新增cmc技术交底
export function addTechnical(data) {
  return request({
    url: '/oa/technical',
    method: 'post',
    data: data
  })
}

// 修改cmc技术交底
export function updateTechnical(data) {
  return request({
    url: '/oa/technical',
    method: 'put',
    data: data
  })
}

// 删除cmc技术交底
export function delTechnical(technicalId) {
  return request({
    url: '/oa/technical/' + technicalId,
    method: 'delete'
  })
}
